#ifdef GL_ES
precision highp float;
#endif

uniform	vec4 u_color;
varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main() {
    vec4 originalColor = texture2D(u_texture, v_texCoord);
    
    /*
     highp float r = originalColor.r*0.5 + 19.0/256.0;
     highp float g = originalColor.g*0.5 + 23.0/256.0;
     highp float b = originalColor.b*0.5 + 62.0/256.0;
     */
    highp float topR = 18.0/256.0;
    highp float topG = 25.0/256.0;
    highp float topB = 100.0/256.0;
    
    highp float bottomR = 137.0/256.0;
    highp float bottomG = 122.0/256.0;
    highp float bottomB = 99.0/256.0;
    
    highp float r = originalColor.r*0.2 + 0.8*(topR * (1.0 - v_texCoord.y) + bottomR * v_texCoord.y);
    highp float g = originalColor.g*0.2 + 0.8*(topG * (1.0 - v_texCoord.y) + bottomG * v_texCoord.y);
    highp float b = originalColor.b*0.2 + 0.8*(topB * (1.0 - v_texCoord.y) + bottomB * v_texCoord.y);
    
    gl_FragColor = vec4(r, g, b, originalColor.a);
}