//
//  ccShader_FloorLighting.h
//  hog
//
//  Created by Ronald Anthony on 9/26/14.
//  Copyright (c) 2014 Pocket Gems, Inc. All rights reserved.
//
#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;

uniform highp vec2 bl;
uniform highp vec2 dimension;
uniform highp vec2 xNormal;
uniform highp vec2 yNormal;

uniform highp vec4 ellipse;
uniform highp float enableGradient;

void main() {
    if (enableGradient < 0.5) {
        gl_FragColor = vec4(0.039, 0.063, 0.16, 0.90);
        return;
    }
    
    vec2 pos = (v_texCoord.x * dimension.x * xNormal) + (v_texCoord.y * dimension.y * yNormal) + bl;
    
    float value = (pos.x-ellipse.x)*(pos.x-ellipse.x)*ellipse.z +
                  (pos.y-ellipse.y)*(pos.y-ellipse.y)*ellipse.w;
    
    gl_FragColor = vec4(0.039, 0.063, 0.16, min(value, 0.90));
}