#ifdef GL_ES
precision highp float;
#endif

uniform	vec4 u_color;
varying vec2 v_texCoord;
uniform sampler2D u_texture;

void main() {
    vec4 sepiaColor = vec4(101.0 / 255.0, 71.0 / 255.0, 16.0 / 255.0, 0.75);
    vec4 originalColor = texture2D(u_texture, v_texCoord);
    
    // step 1: turn to gray scale    
    highp float grayFactor = (originalColor.r + originalColor.g + originalColor.b) / 3.0;
    highp float r = grayFactor;
    highp float g = grayFactor;
    highp float b = grayFactor;
    vec4 grayColor = vec4(r, g, b, originalColor.a);
    
    // step 2: screen blend with a sepia overlay
    vec4 blendedColor = (1.0 - (1.0 - grayColor) * (1.0 - sepiaColor));
    gl_FragColor = blendedColor * vec4(1.0, 1.0, 1.0, originalColor.a);
}