//
//  ccShader_WorldObjectLighting.h
//  hog
//
//  Created by Ronald Anthony on 9/26/14.
//  Copyright (c) 2014 Pocket Gems, Inc. All rights reserved.
//

#ifdef GL_ES
precision highp float;
#endif

varying vec2 v_texCoord;
uniform sampler2D u_texture;

uniform highp vec2 flip;

uniform highp vec2 bl;
uniform highp vec2 dimension;
uniform highp vec2 xNormal;
uniform highp vec2 yNormal;

uniform highp vec4 ellipse;
uniform highp float enableGradient;

void main() {
    if (enableGradient < 0.5) {
        vec4 sColor = vec4(0.039, 0.063, 0.16, 0.90);
        vec4 dColor = texture2D(u_texture, v_texCoord);
        gl_FragColor = sColor*dColor + dColor*(1.0-sColor.a);
        return;
    }
    
    float texCoordX = flip.x > 0.5 ? (1.0 - v_texCoord.x) : v_texCoord.x;
    float texCoordY = flip.y > 0.5 ? (1.0 - v_texCoord.y) : v_texCoord.y;
    
    vec2 pos = (texCoordX * dimension.x * xNormal) + (texCoordY * dimension.y * yNormal) + bl;
    
    float value = (pos.x-ellipse.x)*(pos.x-ellipse.x)*ellipse.z +
    (pos.y-ellipse.y)*(pos.y-ellipse.y)*ellipse.w;
    
    vec4 dColor = texture2D(u_texture, v_texCoord);
    
    vec4 sColor = vec4(0.039, 0.063, 0.16, min(value, 0.90));
    gl_FragColor = sColor*dColor + dColor*(1.0-sColor.a);
}