#ifdef GL_ES
precision lowp float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;
uniform sampler2D u_texture;
uniform highp float u_time;

void main()
{
    vec2 texCoord = mod(v_texCoord * 2.0 + u_time, 1.0);
	gl_FragColor = texture2D(u_texture, texCoord);
    
    //color 1
    highp float r1 = 128.0/256.0;
    highp float g1 = 0.0/256.0;
    highp float b1 = 128.0/256.0;
    
    //color 2
    highp float r2 = 38.0/256.0;
    highp float g2 = 46.0/256.0;
    highp float b2 = 123.0/256.0;
    
    //cycle time
    highp float cycleSpeed = 10.0;
    
    highp float ratio = sin(cycleSpeed * u_time);
	gl_FragColor.r = (gl_FragColor.r * 0.5 + (r1 * ratio + r2 * (1.0 - ratio))*0.5)*v_fragmentColor.a;
	gl_FragColor.g = (gl_FragColor.g * 0.5 + (g1 * ratio + g2 * (1.0 - ratio))*0.5)*v_fragmentColor.a;
	gl_FragColor.b = (gl_FragColor.b * 0.5 + (b1 * ratio + b2 * (1.0 - ratio))*0.5)*v_fragmentColor.a;
	gl_FragColor.a *= v_fragmentColor.a;
}